
ScrSetMetrics ,,270,250,FALSE,TRUE

if usbm_DllSpecs() != ""
  while true
    if usbm_FindDevices() 
      xytext 10,10,"Found Device",,,,green  
  
      //---there is a device and we will use device 0
      n = usbm_DirectionA(0,0,0xFF)  //set port B0 to B7 as inputs
      n = usbm_WriteA(0,0xFF)      //with internal pull up resistors

      if (((usbm_ReadA(0) bAND 0%00100000)/32) = 1)
        xytext 1,30," !","",100,fs_Bold,red
      else
        xytext 1,30," -","",100,fs_Bold,black
      endif 

      xytext 1,150," "+extract(usbm_DeviceSpecs(0),"|",6),"",20,fs_Bold,blue  
    else
      // No devices found, clear window text area
      xytext 10,10,"No Devices  ",,,,red
      xytext 1,30,"   ","",100,fs_Bold,blue  
      xytext 1,150,"              ","",20,fs_Bold,blue    
    endif

    delay 100 
  wend   

else
  print "The USBmicro DLL is not installed"   
endif
